Update Creative v2

📘

URL: ​PUT /api/v2/creatives/:creativeId

Path Parameters

ParameterDescriptionTypeRequiredPossible Values
creativeIdThe ID of the creativestringYA valid creative ID

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser ID
metadata

Fields you can update in a creative:
name: Name of the creative. String data type, required field. 255 character limit.
subscribeEnabled: Indicates whether the Subscribe option is to be enabled for the creative. Boolean datatype, optional field. If subscribeEnabled is true then headline, subhead, and CTA must match one of the following combinations exactly:

  • Option 1
    • Headline: “Subscribe today”
    • Subhead: “Plan ahead & save time.”
    • CTA: “Learn more”
  • Option 2
    • Headline: “Simplify. Subscribe.”
    • Subhead: “Start subscribing today.”
    • CTA: “Learn more”
  • Option 3
    • Headline: “Subscribe & save time”
    • Subhead: “Make your planning easier.”
    • CTA: “Learn more”
  • Option 4
    • Headline: “Plan ahead & save time”
    • Subhead: “Stay stocked. Subscribe today.”
    • CTA: “Subscribe”
  • Option 5
    • Headline: “Simplify your planning”
    • Subhead: “Subscribe & save time later.”
    • CTA: “Subscribe”

If the headline, subhead, or CTA don't match one of the above options, the response will return the following error: "Subscribe cannot be enabled because the provided text does not match the approved text."
associatedItems: Single item ID that is to be associated with the creative. Array <string> datatype. Required when subscribeEnabled = true. The item id must be eligible for Subscribe and Save. If subscribeEnabled is set to true, then associatedItems is required. Otherwise, this field should be omitted from the request.

When subscribeEnabled is true, item in associatedItems must be eligible for Subscribe.
Use the isSubscribeEligible field returned by POST /api/v1/items/list to determine whether an item can be associated with a subscribe-enabled creative.
If any item in associatedItems has isSubscribeEligible = false, the request will fail validation.


Note: A maximum of one item can be associated with a creative.

JSON ObjectYname
subscribeEnabled
associatedItems
adUnitsEach ad unit contains the following objects and fields (see adUnits Objects and Fields table below for full descriptions):
  • adUnitName
  • headline
  • subhead
  • cta
  • backgroundColorHex
  • textColor
  • imageAltText
  • logoAltText
  • legalDisclaimerLabel
  • legalDisclaimerPopUpCopy
  • legalDisclaimerText
  • images
  • textAssets
JSON ObjectY
  • marqueeDesktop
  • marqueeApp
  • marqueeTablet
  • skylineDesktop
  • skylineApp
  • skylineDesktopV2
  • skylineAppV2
  • skylineDesktopV3
  • skylineAppV3
  • brandboxDesktop brandboxApp
  • galleryDesktop
  • galleryApp
  • checkinVideo
  • brandboxDesktopVideo
  • brandboxAppVideo
  • galleryEnlargedDesktopVideo
  • galleryEnlargedAppVideo

adUnits Objects and Fields

FieldDatatypeDescriptionRequirements / Notes
adUnitNameENUM (string)Identifies the ad unit type.Required.

Desktop: marqueeDesktop, brandboxDesktop, brandboxDesktopVideo, checkInVideo, galleryDesktop, tileDesktop, skylineDesktop, skylineDesktopV2, skylineDesktopV3 ,galleryEnlargedDesktopVideo

App: marqueeApp, tileApp, brandboxApp, brandboxAppVideo, galleryApp, skylineApp, skylineAppV2, skylineAppV3, galleryEnlargedAppVideo

Tablet: marqueeTablet

All ad units are required in Creative v2 request payloads, including tileApp and tileDesktop.
headlinestringThe headline for the ad unit.Optional unless specified by template.
subheadstringSubtext for the headline.Must end with one of: ., !, ?, or *.
ctastringCall to Action text.Must be written in sentence case.
backgroundColorHexstringBackground color value.Optional. Supported only in skylineV3 ad units. Format: # followed by 6 hexadecimal characters (e.g., #F0F0F0).
textColorENUM (string)Text color value.Allowed values: gray, white. Optional. Supported only in skylineV3 ad units.
imageAltTextstringDescription of what is visually represented in the ad.Required
logoAltTextstringDescription of the logo image.Required
legalDisclaimerLabelstringTitle text of the popup disclaimer.Optional. Must be provided together with legalDisclaimerPopUpCopy, or both must be omitted. Set both to empty string to disable popup.
legalDisclaimerPopUpCopystringText content of the popup disclaimer.Optional. 600-character limit. Must be supplied together with legalDisclaimerLabel, or both must be omitted.
legalDisclaimerTextstringDisclaimer text displayed directly in the image.Optional. 600-character limit. Can be used alone or with popup disclaimer fields. Set empty string to clear value.
imagesarray (object)Image configuration for the ad unit.Contains: name, assetId, position, size, and optional crop. Additional fields for composite images are detailed in the table below.

Allowed name values:
Desktop units: desktopImage, desktopLogo
App units: mobileImage, mobileLogo
Tablet units: tabletImage, tabletLogo
images.namestringImage identifier.Must follow format: additionalImage01 (2-digit suffix).
images.assetIdstring (UUID)UUID of image asset.Use the assetId returned from POST /api/v1/assets/photo.
images.cropobjectCrop settings.Optional. Applicable only to desktop/mobile images (not logo images). Cannot use both focal and rectangular together. Sending a new image resets crop settings.
images.crop.focalobjectFocal crop configuration.Applies to all ad units. Overwrites rectangular crop settings.
images.crop.focal.xfloatHorizontal focal coordinate.Range between 0 and 1 (exclusive).
images.crop.focal.yfloatVertical focal coordinate.Range between 0 and 1 (exclusive).
images.crop.rectangularobjectRectangular crop configuration.Can be modified per ad unit.
images.crop.rectangular.xfloatCrop from left side.
images.crop.rectangular.yfloatCrop from top.
images.crop.rectangular.wfloatCrop width.
images.crop.rectangular.hfloatCrop height.

Note: The desktop/mobile image
and desktop/mobile logos are limited to:

  • Max file size: 10 MB
  • Max dimensions: 5000px by 5000px

Additional Fields for Composite Image Creatives

The following fields apply only to composite images.

FieldTypeDescriptionPossible Values
images.positionobjectPositioning information.Contains: x, y, z.
images.position.xintegerHorizontal pixels from left.
images.position.yintegerVertical pixels from top.
images.position.zintegerZ-index.Starts at 2. Must be sequential (0 and 1 rare system reserved).
images.sizeobjectDimensions of the image.Contains: w, h.
images.size.wintegerWidth in pixels.
images.size.hintegerHeight in pixels.
textAssetsarray (object)Contains fields and objects for each text asset.
textAssets.namestringName of the text asset.Must follow format: text01 (2-digit suffix).
textAssets.textstringThe text to be added to the main image.
textAssets.positionobjectContains fields for the position of the text.
textAssets.position.xintegerHorizontal pixels from the left.
textAssets.position.yintegerVertical pixels from the top.
textAssets.position.zintegerZ-index.Starts with 2. Must be sequential (2,3,4…). 0and 1 are system-reserved.
textAssets.sizeobjectContains fields for the image width and height.
textAssets.size.wintegerWidth in pixels.
textAssets.size.hintegerHeight in pixels.
textAssets.textColorstringHexadecimal color codeValid hexadecimal color code
textAssets.backgroundColorstringHexadecimal color codeValid hexadecimal color code

Creative Ad Unit Character Limits

Character limits vary across the various ad units, refer to the tables below for character length limits per ad unit.

marqueeDesktop

TextCharacter LimitRequired/Optional
headline25Required
subhead55Required
cta16Required
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

marqueeApp

TextCharacter LimitRequired/Optional
headline25Required
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

marqueeTablet

TextCharacter LimitRequired/Optional
imageAltText150Required
logoAltText150Required

skylineDesktop

TextCharacter LimitRequired/Optional
headline25Required
subhead30Optional
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Optional
logoAltText150Required

skylineApp

TextCharacter LimitRequired/Optional
headline25Required
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
logoAltText150Required

skylineDesktopV2

TextCharacter LimitRequired/Optional
headline35Required
subhead40Optional
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Optional
logoAltText150Required

skylineAppV2

TextCharacter LimitRequired/Optional
headline35Required
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
logoAltText150Required

skylineDesktopV3

TextCharacter LimitRequired/Optional
headline35Required
subhead40Optional
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

skylineAppV3

TextCharacter LimitRequired/Optional
headline35Required
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

brandboxDesktop

TextCharacter LimitRequired/Optional
headline25Required
subhead55Required
cta16Required
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

brandboxApp

TextCharacter LimitRequired/Optional
headline25Required
subhead55Required
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

galleryDesktop full/mini

TextCharacter LimitRequired/Optional
headline25Required
subhead55Required
cta16Required
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

galleryApp

TextCharacter LimitRequired/Optional
headline25Required
cta16Required
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

tileDesktop

TextCharacter LimitRequired/Optional
headline30Required
subhead35Required
cta15Required
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

tileApp

TextCharacter LimitRequired/Optional
headline30Required
subhead35Required
cta15Required
legalDisclaimerText600Optional
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
imageAltText150Required
logoAltText150Required

galleryEnlargedDesktopVideo

TextCharacter LimitRequired/Optional
headline25Required
cta12Required
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
logoAltText150Required

galleryEnlargedAppVideo

TextCharacter LimitRequired/Optional
headline20Required
cta12Required
legalDisclaimerLabel15Optional
legalDisclaimerPopUpCopy4000Optional
logoAltText150Required

👉

Please refer to the Appendix to find the required, optional, and non-required assets for each ad unit

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X PUT \ --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v2/creatives/aaaa3333-aa33-aa33-aa33-aaaaaa333333' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>' \ --header 'WM_CONSUMER.ID: <consumerId>' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \ --header 'WM_SEC.AUTH_SIGNATURE: **************' \ --data '{ "advertiserId": 190001, "metadata": { "name": "A valid campaign name" }, "adUnits": [ { "adUnitName": "marqueeDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000001" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000002" } ] }, { "adUnitName": "marqueeApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000003" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000004" } ] }, { "adUnitName": "marqueeTablet", "imageAltText": "TextSample", "logoAltText": "LogoSample", "images": [ { "name": "tabletImage", "assetId": "uuid" }, { "name": "tabletLogo", "assetId": "uuid" } ] }, { "adUnitName": "skylineDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000005" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000006" } ] }, { "adUnitName": "skylineApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000007" } ] }, { "adUnitName": "skylineDesktopV2", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000008" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000009" } ] }, { "adUnitName": "skylineDesktopV3", "headline": "A valid Headline", "logoAltText": "A valid logo alt text", "backgroundColorHex": "#123456", "textColor": "A valid text color", "imageAltText": "A valid image alt text", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000010" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000011" } ] }, { "adUnitName": "skylineAppV3", "headline": "A valid Headline", "logoAltText": "A valid logo alt text", "backgroundColorHex": "#654321", "textColor": "A valid text color", "imageAltText": "A valid image alt text", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000012" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000013" } ] }, { "adUnitName": "skylineAppV2", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000014" } ] }, { "adUnitName": "brandboxDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000015" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000016" } ] }, { "adUnitName": "brandboxApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000017" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000018" } ] }, { "adUnitName": "galleryDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000019" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000020" } ] }, { "adUnitName": "galleryApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000021" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000022" } ] }, { "adUnitName": "tileDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000023" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000024" } ] }, { "adUnitName": "tileApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000025" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000026" } ] }, { "adUnitName": "checkInVideo", "legalDisclaimerLabel": "Sample label", "legalDisclaimerPopUpCopy": "Sample disclaimer popup copy" }, { "adUnitName": "brandboxDesktopVideo", "headline": "Sample Headline", "subhead": "Sample Subhead", "cta": "Click Here", "logoAltText": "Sample logo alt text", "legalDisclaimerLabel": "Sample label", "legalDisclaimerPopUpCopy": "Sample disclaimer popup copy" }, { "adUnitName": "brandboxAppVideo", "headline": "Sample Headline", "subhead": "Sample Subhead", "cta": "Click Here", "logoAltText": "Sample logo alt text", "legalDisclaimerLabel": "Sample label", "legalDisclaimerPopUpCopy": "Sample disclaimer popup copy" } ], "subscribeEnabled": true, "associatedItems": [ "000000" ] }'

Sample Request 2 - Update creative with Subscribe messaging

curl -X PUT \ --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v2/creatives/aaaa3333-aa33-aa33-aa33-aaaaaa333333' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>' \ --header 'WM_CONSUMER.ID: <consumerId>' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \ --header 'WM_SEC.AUTH_SIGNATURE: **************' \ --data '{ "advertiserId": 190001, "metadata": { "name": "A valid campaign name" }, "adUnits": [ { "adUnitName": "marqueeDesktop", "headline": "Subscribe today", "subhead": "Plan ahead & save time.", "cta": "Learn more", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000001" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000002" } ] }, { "adUnitName": "marqueeApp", "headline": "Simplify. Subscribe.", "subhead": "Start subscribing today.", "cta": "Learn more", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000003" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000004" } ] }, { "adUnitName": "marqueeTablet", "imageAltText": "TextSample", "logoAltText": "LogoSample", "images": [ { "name": "tabletImage", "assetId": "uuid" }, { "name": "tabletLogo", "assetId": "uuid" } ] }, { "adUnitName": "skylineDesktop", "headline": "Subscribe & save time", "subhead": "Make your planning easier.", "cta": "Learn more", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000005" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000006" } ] }, { "adUnitName": "skylineApp", "headline": "Plan ahead & save time", "subhead": "Stay stocked. Subscribe today.", "cta": "Subscribe", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000007" } ] }, { "adUnitName": "skylineDesktopV2", "headline": "Simplify your planning", "subhead": "Subscribe & save time later.", "cta": "Subscribe", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000008" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000009" } ] }, { "adUnitName": "skylineDesktopV3", "headline": "A valid Headline", "logoAltText": "A valid logo alt text", "backgroundColorHex": "#123456", "textColor": "A valid text color", "imageAltText": "A valid image alt text", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000010" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000011" } ] }, { "adUnitName": "skylineAppV3", "headline": "A valid Headline", "logoAltText": "A valid logo alt text", "backgroundColorHex": "#654321", "textColor": "A valid text color", "imageAltText": "A valid image alt text", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000012" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000013" } ] }, { "adUnitName": "skylineAppV2", "headline": "Subscribe today", "subhead": "Plan ahead & save time.", "cta": "Learn more", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000014" } ] }, { "adUnitName": "brandboxDesktop", "headline": "Simplify. Subscribe.", "subhead": "Start subscribing today.", "cta": "Learn more", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000015" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000016" } ] }, { "adUnitName": "brandboxApp", "headline": "Subscribe & save time", "subhead": "Make your planning easier.", "cta": "Learn more", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000017" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000018" } ] }, { "adUnitName": "galleryDesktop", "headline": "Plan ahead & save time", "subhead": "Stay stocked. Subscribe today.", "cta": "Subscribe", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000019" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000020" } ] }, { "adUnitName": "galleryApp", "headline": "Plan ahead & save time", "subhead": "Stay stocked. Subscribe today.", "cta": "Subscribe", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000021" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000022" } ] }, { "adUnitName": "tileDesktop", "headline": "Plan ahead & save time", "subhead": "Stay stocked. Subscribe today.", "cta": "Subscribe", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000023" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000024" } ] }, { "adUnitName": "tileApp", "headline": "Plan ahead & save time", "subhead": "Stay stocked. Subscribe today.", "cta": "Subscribe", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000025" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000026" } ] } ], "subscribeEnabled": true, "associatedItems": [ "000000" ] }'

Sample Request 3 - Update Creative for Video

curl -X PUT \ --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v2/creatives/aaaa3333-aa33-aa33-aa33-aaaaaa333333' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>' \ --header 'WM_CONSUMER.ID: <consumerId>' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \ --header 'WM_SEC.AUTH_SIGNATURE: **************' \ --data '{ "advertiserId": 190001, "metadata": { "name": "A valid creative name" }, "adUnits": [ { "adUnitName": "brandboxAppVideo", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "logoAltText": "image", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000002" } ], "videos": [ { "name": "mainVideo", "assetId": "00000000-0000-0000-0000-000000000005" } ] }, { "adUnitName": "brandboxDesktopVideo", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "logoAltText": "image", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000002" } ], "videos": [ { "name": "mainVideo", "assetId": "00000000-0000-0000-0000-000000000005" } ] } ], "subscribeEnabled": false, "associatedItems": [] }'

Sample Request 4: Update Creative including composite image

curl -X PUT \ --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v2/creatives/aaaa3333-aa33-aa33-aa33-aaaaaa333333' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>' \ --header 'WM_CONSUMER.ID: <consumerId>' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \ --header 'WM_SEC.AUTH_SIGNATURE: **************' \ --data '{ "advertiserId": 190001, "metadata": { "name": "A valid campaign name" }, "adUnits": [ { "adUnitName": "marqueeDesktop", "headline": "The headline", "subhead": "The subhead.", "cta": "Learn more", "imageAltText": "A picture of our product", "logoAltText": "Our company logo", "legalDisclaimerText": "Disclaimer Text.", "legalDisclaimerLabel": "Popup title.", "legalDisclaimerPopUpCopy": "Popup Disclaimer Text.", "variantId": "436", "images": [ { "name": "desktopImage", "assetId": "<uuid of asset>" }, { "name": "additionalImage01", "assetId": "<uuid of asset>", "position": { "x": 0, "y": 0, "z": 3 }, "size": { "w": 100, "h": 100 } }, { "name": "desktopLogo", "assetId": "<uuid of asset>" } ], "textAssets": [ { "name": "text01", "text": "something", "position": { "x": 0, "y": 0, "z": 4 }, "size": { "w": 100, "h": 100 }, "textColor": "#c33333", "backgroundColor": "#69b38e" } ] }, { "adUnitName": "marqueeApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000003" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000004" } ] }, { "adUnitName": "marqueeTablet", "imageAltText": "TextSample", "logoAltText": "LogoSample", "images": [ { "name": "tabletImage", "assetId": "uuid" }, { "name": "tabletLogo", "assetId": "uuid" } ] }, { "adUnitName": "skylineDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000005" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000006" } ] }, { "adUnitName": "skylineApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000007" } ] }, { "adUnitName": "skylineDesktopV2", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000008" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000009" } ] }, { "adUnitName": "skylineDesktopV3", "headline": "A valid Headline", "logoAltText": "A valid logo alt text", "backgroundColorHex": "#123456", "textColor": "A valid text color", "imageAltText": "A valid image alt text", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000010" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000011" } ] }, { "adUnitName": "skylineAppV3", "headline": "A valid Headline", "logoAltText": "A valid logo alt text", "backgroundColorHex": "#654321", "textColor": "A valid text color", "imageAltText": "A valid image alt text", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000012" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000013" } ] }, { "adUnitName": "skylineAppV2", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000014" } ] }, { "adUnitName": "brandboxDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000015" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000016" } ] }, { "adUnitName": "brandboxApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000017" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000018" } ] }, { "adUnitName": "galleryDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000019" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000020" } ] }, { "adUnitName": "galleryApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000021" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000022" } ] }, { "adUnitName": "tileDesktop", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "desktopImage", "assetId": "00000000-0000-0000-0000-000000000023" }, { "name": "desktopLogo", "assetId": "00000000-0000-0000-0000-000000000024" } ] }, { "adUnitName": "tileApp", "headline": "A valid Headline", "subhead": "A valid Subhead", "cta": "A valid CTA", "imageAltText": "A valid image alt text", "logoAltText": "A valid logo alt text", "legalDisclaimerLabel": "A valid legal disclaimer label", "legalDisclaimerText": "A valid legal disclaimer text", "legalDisclaimerPopUpCopy": "A valid legal disclaimer pop up copy", "images": [ { "name": "mobileImage", "assetId": "00000000-0000-0000-0000-000000000025" }, { "name": "mobileLogo", "assetId": "00000000-0000-0000-0000-000000000026" } ] }, { "adUnitName": "checkInVideo", "legalDisclaimerLabel": "Sample label", "legalDisclaimerPopUpCopy": "Sample disclaimer popup copy" }, { "adUnitName": "brandboxDesktopVideo", "headline": "Sample Headline", "subhead": "Sample Subhead", "cta": "Click Here", "logoAltText": "Sample logo alt text", "legalDisclaimerLabel": "Sample label", "legalDisclaimerPopUpCopy": "Sample disclaimer popup copy" }, { "adUnitName": "brandboxAppVideo", "headline": "Sample Headline", "subhead": "Sample Subhead", "cta": "Click Here", "logoAltText": "Sample logo alt text", "legalDisclaimerLabel": "Sample label", "legalDisclaimerPopUpCopy": "Sample disclaimer popup copy" } ], "subscribeEnabled": true, "associatedItems": [ "000000" ] }'

Sample Request 5

curl -X PUT \ --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v2/creatives' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>' \ --header 'WM_CONSUMER.ID: <consumerId>' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \ --header 'WM_SEC.AUTH_SIGNATURE: **************' \ --data '{ "advertiserId": 190001, "metadata": { "name": "A valid creative name", "folderId": "abc-123" }, "adUnits": [ { { "adUnitName": "galleryEnlargedDesktopVideo", "headline": "Our headline", "cta": "Shop now", "logoAltText": "Our company logo", "legalDisclaimerLabel": "Popup title.", "legalDisclaimerPopUpCopy": "Popup Disclaimer. The quick brown fox jumped over the lazy dog.", "videos": [ { "name": "mainVideo", "assetId":"<assetid>" } ], "images": [ { "name": "desktopLogo", "assetId":"<assetid>" } ] }, { "adUnitName": "galleryEnlargedAppVideo", "headline": "Our headline", "cta": "Shop now", "logoAltText": "Our company logo", "legalDisclaimerLabel": "Popup title.", "legalDisclaimerPopUpCopy": "Popup Disclaimer. The quick brown fox jumped over the lazy dog.", "videos": [ { "name": "mainVideo", "assetId":"<assetid>" } ], "images": [ { "name": "mobileLogo", "assetId":"<assetid>" } ] } ] }'

Response

ElementDescriptionOptional field/Nullable?TypePossible values
codeThe response code can have following values:
  • success
  • failure
Nstring
detailsPossible values of details:
  • Details of the error if value of response code is failure
  • It returns a string value "success" if value of response code is success
Nstring
creativeIdID of the creative. It is returned in response only if code=successstring
messageDetails of the error if value of code is failure and validation errors were foundYstring
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors Array Object Details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldJSON field associated with the error. Omitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

Sample Response 1

[ { "code": "success", "details": ["success"], "creativeId": "e02a09b2-1e3c-2g22-bf47-8a123c35002a" }
]

Sample Response 1- Failure

[ { "code": "failure", "message": "Found 8 validation error(s).", "errors": [ { "field": "$.adUnits[marqueeDesktop].headline", "errorType": "E_SCHEMA_FIELD_INVALID", "description": "$.adUnits[marqueeDesktop].headline must be at least 1 characters long. Check your input." }, { "field": "$.adUnits[marqueeDesktop].subhead", "errorType": "E_TEXT_MISSING_PUNCTUATION", "description": "$.adUnits[marqueeDesktop].subhead does not end with a period(.), exclamation(!), question(?), or an asterisk(*). Ensure text ends with one of: . ! ? *" }, { "field": "$.adUnits[marqueeDesktop].cta", "errorType": "E_TEXT_INVALID_CASING", "description": "$.adUnits[marqueeDesktop].cta does not follow sentence casing. Capitalize only the first letter; keep the rest lowercase." }, { "field": "$.adUnits[marqueeDesktop].imageAltText", "errorType": "E_ALT_TEXT_BLANK", "description": "$.adUnits[marqueeDesktop].imageAltText must be at least 1 characters long. Provide descriptive alt text for the image." }, { "field": "$.adUnits[marqueeDesktop].logoAltText", "errorType": "E_ALT_TEXT_BLANK", "description": "$.adUnits[marqueeDesktop].logoAltText must be at least 1 characters long. Provide descriptive alt text for the image." }, { "field": "$.adUnits[marqueeDesktop].images", "errorType": "E_SCHEMA_FIELD_INVALID", "description": "$.adUnits[marqueeDesktop].images: null found, array expected. Check your input." }, { "field": "$.adUnits[marqueeDesktop].disclaimer", "errorType": "E_SCHEMA_FIELD_INVALID", "description": "Disclaimer pop-up copy and label must be used together. Check your input." }, { "field": "$.metadata.templateId", "errorType": "E_SCHEMA_FIELD_INVALID", "description": "$.metadata.templateId does not have a value in the enumeration [436]. Check your input." } ], "details": [ "E_SCHEMA_FIELD_INVALID", "E_TEXT_MISSING_PUNCTUATION", "E_TEXT_INVALID_CASING", "E_ALT_TEXT_BLANK" ] }
]

Sample Response 2- Failure

[ { "code": "failure", "message": "Found 1 validation error(s).", "errors": [ { "field": "$.adUnits[skylineDesktopV3].backgroundColorHex", "errorType": "E_INVALID_COLOR_HEX", "description": "$.adUnits[skylineDesktopV3].backgroundColorHex should be a valid hexadecimal color code. Use a 6-digit hex color code, e.g. #1A2B3C." } ], "details": [ "E_INVALID_COLOR_HEX" ] }
]

Sample Response 3 - Failure

[ { "code": "failure", "message": "Found 1 validation error(s).", "errors": [ { "field": "$.adUnits[skylineDesktopV3].textColor", "errorType": "E_INVALID_TEXT_COLOR", "description": "$.adUnits[skylineDesktopV3].textColor text color can only be 'white' or 'gray'. Set text color to 'white' or 'gray'." } ], "details": [ "E_INVALID_TEXT_COLOR" ] }
]

Note: textColor and backgroundColorHex must meet WCAG contrast requirements.

Sample Response 4 - Failure

[ { "code": "failure", "message": "Found 1 validation error(s).", "errors": [ { "field": "$.adUnits[skylineDesktopV3].textColor", "errorType": "E_INVALID_TEXT_COLOR", "description": "Background color does not meet WCAG contrast requirements with the provided text color. Please choose a different combination. Set text color to 'white' or 'gray'." } ], "details": [ "E_INVALID_TEXT_COLOR" ] }
]

Note: backgroundColorHex is validated against Walmart reserved colors. If validation does not pass, some related colors will be suggested.

Sample Response 5 - Failure

[ { "code": "failure", "message": "Found 1 validation error(s).", "errors": [ { "field": "$.adUnits[skylineDesktopV3].backgroundColorHex", "errorType": "E_INVALID_COLOR_HEX", "description": "Background color violates Walmart color guidelines: #ff0000. Here are some color suggestions: #ED013B, #E40038, #DB0230, #D2012E, #C80226, #BF011E, #C00018, #B7000F, #B70006, #B50B00, #B01D00, #B32A00, #AF3100, #B33900, #BA4900, #C24D01, #C65401. Use a 6-digit hex color code, e.g. #1A2B3C." } ], "details": [ "E_INVALID_COLOR_HEX" ] }
]

Sample Response 6 - Failure

[ { "code": "failure", "message": "Found 1 validation error(s).", "errors": [ { "field": "$.adUnits[skylineDesktopV3].textColor", "errorType": "E_INVALID_TEXT_COLOR", "description": "Text color 'white' is not valid with default background color (#F8F8F8) due to WCAG contrast requirements. Set text color to 'white' or 'gray'." } ], "details": [ "E_INVALID_TEXT_COLOR" ] }
]

Did this page help you?